<div class="loginContainer">
    <div class="container">
        <div class="row justify-content-md-center">
            <div class="col-md-3">
                <div class="avatarFrameoffline marto15 marbo15">
                    <img src="assets/img/generic_avatar.png" class="avatarImage img-fluid" alt="">
                </div>
            </div>
        </div>
        <div class="row justify-content-md-center">
            <div class="col-md-6">
                <div class="center">
                    <h3>Login</h3>
                </div>
                <p *ngIf="operation == 'register'">Do you have an account? <a (click)="operation = 'login'"><b>Login</b></a></p>
                <p *ngIf="operation == 'login'">Create a new account <a (click)="operation = 'register'"><b>Sign up</b></a></p>
                <div class="borderedContainer">
                    <input [(ngModel)]="email" type="email" placeholder="Enter your email" class="form-control marbo15">
                    <input [(ngModel)]="password" type="password" placeholder="Enter your password" class="form-control marbo15">
                    <input [(ngModel)]="nick" *ngIf="operation == 'register'"  type="text" placeholder="Enter your nick" class="form-control marbol15">
                </div>   
                <div class="center marto15">
                    <a (click)="login()" *ngIf="operation == 'login'" class="btn btn-primary">Login</a>
                    <a (click)="register()" *ngIf="operation == 'register'" class="btn btn-primary">Sign up</a>

                </div>
            </div>
        </div>
    </div>
</div>